## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global packname rJava
%global packvers 1.0-11
%global rlibdir %{_libdir}/R/library

Name:           R-%{packname}
Version:        1.0.11
Release:        %autorelease
Summary:        Low-Level R to Java Interface

License:        LGPL-2.1-only
URL:            https://cran.r-project.org/package=%{packname}
Source0:        %{url}&version=%{packvers}#/%{packname}_%{packvers}.tar.gz

BuildRequires:  R-devel >= 3.6.0
Obsoletes:      %{name}-javadoc < %{version}-%{release}
ExclusiveArch:  %{java_arches}

%description
Low-level interface to Java VM very much like .C/.Call and friends.
Allows creation of objects, calling methods and accessing fields.

%prep
%setup -q -c -n %{packname}
rm %{packname}/inst/jri/*.jar

%build
# rebuild jars
find %{packname}/jri/REngine -name Makefile -exec sed -i 's/1.6/1.8/g' {} \;
%make_build -C %{packname}/jri/REngine
%make_build -C %{packname}/jri/REngine/JRI
mv %{packname}/jri/REngine/{REngine,JRI/JRIEngine}.jar %{packname}/inst/jri/

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.UTF-8
export _R_CHECK_FORCE_SUGGESTS_=0
%{_bindir}/R CMD check --no-manual --ignore-vignettes --no-examples %{packname}

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/java
%{rlibdir}/%{packname}/jri

%changelog
## START: Generated by rpmautospec
* Fri Apr 18 2025 Iñaki Úcar <iucar@fedoraproject.org> - 1.0.11-5
- R-maint-sig mass rebuild

* Fri Apr 18 2025 Iñaki Úcar <iucar@fedoraproject.org> - 1.0.11-4
- R-maint-sig mass rebuild

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Apr 26 2024 Iñaki Úcar <iucar@fedoraproject.org> - 1.0.11-1
- Update to latest version

* Thu Apr 25 2024 Iñaki Úcar <iucar@fedoraproject.org> - 1.0.6-10
- R-maint-sig mass rebuild

* Tue Feb 27 2024 Jiri Vanek <jvanek@redhat.com> - 1.0.6-9
- Rebuilt for java-21-openjdk as system jdk

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Apr 21 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.0.6-5
- No check manual

* Fri Apr 21 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.0.6-4
- R-maint-sig mass rebuild

* Sun Apr 09 2023 Florian Weimer <fweimer@redhat.com> - 1.0.6-3
- Port configure script to C99

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 18 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.0.6-1
- Initial package
## END: Generated by rpmautospec
